## swig2.0 2.0.11

=== Examples/csharp/callback/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
CXXSRCS    = example.cxx
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =
CSHARPSRCS = *.cs
CSHARPFLAGS= -debug -nologo -out:runme.exe

check: build
	$(MAKE) -f $(TOP)/Makefile csharp_run

build:
	$(MAKE) -f $(TOP)/Makefile CXXSRCS='$(CXXSRCS)' SWIG='$(SWIG)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' csharp_cpp
	$(MAKE) -f $(TOP)/Makefile CSHARPSRCS='$(CSHARPSRCS)' CSHARPFLAGS='$(CSHARPFLAGS)' csharp_compile

clean:
	$(MAKE) -f $(TOP)/Makefile csharp_clean

=== Examples/php/value/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i
LIBS       =
SWIGOPT    = -noproxy

check: build
	$(MAKE) -f $(TOP)/Makefile php_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCS='$(SRCS)' SWIG='$(SWIG)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' \
	php

static:
	$(MAKE) -f $(TOP)/Makefile SRCS='$(SRCS)' SWIG='$(SWIG)' \
	SWIGOPT='$(SWIGOPT)' TARGET='myphp' INTERFACE='$(INTERFACE)' \
	php_static

clean:
	$(MAKE) -f $(TOP)/Makefile php_clean

=== Examples/ruby/pointer/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
SRCS       = example.c
TARGET     = example
INTERFACE  = example.i

check: build
	$(MAKE) -f $(TOP)/Makefile ruby_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCS='$(SRCS)' SWIG='$(SWIG)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' ruby

static:
	$(MAKE) -f $(TOP)/Makefile SRCS='$(SRCS)' SWIG='$(SWIG)' \
	TARGET='myruby' INTERFACE='$(INTERFACE)' ruby_static

clean:
	$(MAKE) -f $(TOP)/Makefile ruby_clean

=== Examples/tcl/std_vector/Makefile ===
TOP        = ../..
SWIG       = $(TOP)/../preinst-swig
CXXSRCS    = 
TARGET     = my_tclsh
DLTARGET   = example
INTERFACE  = example.i
LIBS       = -lm

check: build
	$(MAKE) -f $(TOP)/Makefile tcl_run

build:
	$(MAKE) -f $(TOP)/Makefile CXXSRCS='$(CXXSRCS)' SWIG='$(SWIG)' \
	TARGET='$(DLTARGET)' INTERFACE='$(INTERFACE)' tcl_cpp

static:
	$(MAKE) -f $(TOP)/Makefile CXXSRCS='$(CXXSRCS)' SWIG='$(SWIG)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' tclsh_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile tcl_clean

## swig2.0 2.0.0

=== debian/changelog ===
swig2.0 (2.0.0-1) unstable; urgency=low

  * New upstream release (closes: #584324).
  * Create a new swig2.0 package for unstable. Most packages should be
    able to build with 2.0 instead of 1.3 but the version detection
    in most configure scripts is flawed.
  * Fix the most important lintian complaints:
    + debian/control:
      o Update Standards-Version to 3.9.0 (no changes).
      o Add ${misc:Depends} to all binary dependencies.
    + debian/rules:
      o Fix invocation order for dh_makeshlibs.
      o Replace "dh_clean -k" with dh_prep.
    + debian/swig2.0-doc.doc-base: Fixed references into wrong package.
    + debian/swig.1: Renamed to swig2.0-1 to match with the binary.
  * Use dh-autoreconf for cleaning up after autotools.
  * Fixed "make distclean" in upstream Makefile.in. The first time for
    years that "debian/rules clean" actually completes successfully.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes).
  * debian/copyright: Update for upstream license change to GPLv3.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 28 Aug 2010 22:59:01 +0200

swig1.3 (2.0.0~r12020-1) experimental; urgency=low

  * Experimental package of upcoming 2.0 release targetting experimental.
  * Switch to source format 3.0 (quilt).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 12 May 2010 18:57:28 +0200

swig1.3 (1.3.40-3) unstable; urgency=low

  * debian/control: Line wrap build dependencies (closes: #556356).
    Thanks to Benjamin Drung.
  * debian/control: Remove version from python-dev dependency (not sure why
    it was added). This makes it buildable in sid again (closes: #588573).
  * debian/compat: Bump to 7 (which was available even in lenny).
  * debian/source/format: Switch to "3.0 (quilt)".

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Nov 2009 23:57:17 +0100

swig1.3 (1.3.40-2) unstable; urgency=low

  * Retarget for unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 21 Oct 2009 20:03:54 +0200

swig1.3 (1.3.40-1) experimental; urgency=low

  * New upstream release (closes: #543684).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 17 Oct 2009 14:48:41 +0200

swig1.3 (1.3.39-2) unstable; urgency=low

  * Merge upstream changeset 11213, fixing the Subversion bindings.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 08 Aug 2009 15:00:32 +0200

swig1.3 (1.3.39-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Remove ocaml from Build-Depends (not available in sid
    right now). Probably we can drop most of the build depends anyway, they
    do not affect the swig binary AFAIK. However, when running the test
    suite, we should better have them available...
  * debian/rules: Use DH_ALWAYS_EXCLUDE=.svn to support building directly
    from Subversion checkout.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 07 Aug 2009 00:22:56 +0200

swig1.3 (1.3.38-1) experimental; urgency=low

  * Apply patch by Petr Salinger to enable java bindings for GNU/kFreeBSD
    (closes: #497789).
  * New upstream release (closes: #514060).
  * Remove patch to config.guess, config.sub (upstream is up-to-date).
  * Update patch to keep documentation files in make clean.
  * Use python2.5 instead of python2.4.
  * Install Examples/php instead of Examples/php4 (which is no longer).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Feb 2009 16:16:07 +0100

swig1.3 (1.3.36-1) unstable; urgency=low

  * New upstream release (closes: #488342).
    + debian/patches: Remove obsolete patches.
  * debian/rules: Build without mzscheme for now as the configure script 
    breaks as it can't mute the banner anymore (--mute-banner does not 
    work anymore).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 06 Jul 2008 03:07:56 +0200

swig1.3 (1.3.35-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #476718, #477906). Thanks, guys!
  * Apply patch from Barry deFreese to Wad proof-of-concept that is 
    not actually built (closes: #469006).
  * debian/control: Update Build-Depends on guile to version 1.8 as 
    1.6 is quite outdated already (closes: #477521).
  * debian/control: Re-add armel and armeb to the target platforms
    which have gcj and gij again (closes: #479113).
  * debian/patches/swig-svn-r10376.diff: Import upstream changes of 
    revision 10376 by request of Soeren Sonnenburg.
  * Lintian fixes:
    + debian/swig-doc.doc-base: Fix section (was Apps/Programming, now
      just Programming). Remove leading whitespace in abstract.
    + debian/control: Upgrade Standards-Version to 3.7.3 (no changes
      required).
    + debian/control: Fix spelling Ocaml -> OCaml.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 04 May 2008 21:09:47 +0200

swig1.3 (1.3.35-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Depends: gij, gcj on alpha, arm, and hurd-i386.
    (Closes: #477906)

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Apr 2008 18:08:59 +0200

swig1.3 (1.3.35-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Allow python2.5 in Build-Depends. (Closes: #476718)

 -- Torsten Werner <twerner@debian.org>  Wed, 23 Apr 2008 19:49:22 +0200

swig1.3 (1.3.35-3) unstable; urgency=low

  * debian/patches/octave_fixes_r10367_10373.diff: Include upstream 
    changes between revisions 10367 and 10373. This fixes some bugs
    in the octave wrappers as requested by Soeren Sonnenburg.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 17 Apr 2008 08:49:55 +0200

swig1.3 (1.3.35-2) unstable; urgency=low

  * Include examples for R and octave (closes: #475409).
  * Patch Lib/r/rfragments.swg to use mkCharLen to create a string 
    object given the character content and the length. mkCharEnc 
    does not look like it is the right function for this. :)
    Thanks to Soeren Sonnenburg. (closes: #475494).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 15 Apr 2008 23:56:33 +0200

swig1.3 (1.3.35-1) unstable; urgency=low

  * New upstream release (closes: #473720).


=== debian/control ===
Source: swig2.0
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.1
Build-Depends: bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               gcj [!hppa !mips !mipsel !alpha !arm !hurd-i386],
               gij [!hppa !mips !mipsel !alpha !arm !hurd-i386],
               guile-1.8-dev,
               libchicken-dev [!m68k !mips !mipsel],
               libperl-dev,
               libpcre3-dev [!m68k !mips !mipsel],
               php5-cgi,
               php5-dev,
               python-dev,
               quilt (>= 0.40),
               ruby1.8,
               ruby1.8-dev,
               tcl8.4-dev,
               tk8.4-dev

Package: swig2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: swig2.0-examples, swig2.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig2.0-examples
Architecture: all
Depends: swig2.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig2.0-doc
Architecture: all
Section: doc
Suggests: swig2.0
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 This is just a convenience package to make smooth upgrades possible.
 The real stuff is in the swig-doc package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support building from Subversion repository
export DH_ALWAYS_EXCLUDE=.svn

include /usr/share/quilt/quilt.make

# XXX: patch to pike detection submitted upstream, need to adapt
# configure args
MAKEOPTS =
CONFIGURE_ARGS := \
	--prefix=/usr --mandir=/usr/share/man	\
	--with-tclconfig=/usr/lib/tcl8.4		\
	--with-tclincl=/usr/include/tcl8.4		\
	--with-python=/usr/bin/python2.5		\
	--with-ruby=/usr/bin/ruby1.8			\
	--with-pike=/usr/bin/pike7.6			\
	--with-pikeincl=/usr/include/pike/7.6.24	\
	--with-swiglibdir=/usr/share/swig2.0		\
	--without-mzscheme				\
        --program-suffix=2.0

DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

with_java := yes
no_java_archs := hppa hurd-i386 mips mipsel netbsd-i386
ifneq ($(DEB_TARGET_ARCH),i386)
  ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_java_archs)))
    with_java := disabled for architecture $(DEB_TARGET_ARCH)
    NO_PACKAGES +=
  endif
endif

with_chicken := yes
no_chicken_archs := m68k mips mipsel
ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_chicken_archs)))
  with_chicken := disabled for architecture $(DEB_TARGET_ARCH)
endif

NO_PACKAGES_ARGS = $(foreach p,$(NO_PACKAGES),-N$(p))

ifeq ($(with_java),yes)
  CONFIGURE_ARGS += \
	--with-java=/usr/bin/java \
	--with-javac=/usr/bin/javac
else
  CONFIGURE_ARGS += --without-java
  MAKEOPTS += skip-java=true
endif

ifeq ($(with_chicken),yes)
  CONFIGURE_ARGS += \
	--with-chicken=/usr/bin/chicken \
	--with-chickencfg=/usr/bin/chicken-config
else
  CONFIGURE_ARGS += --without-chicken
  MAKEOPTS += skip-chicken=true
endif

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autoreconf ./autogen.sh
	PHP4INC="`php-config --includes`" \
	CFLAGS="-g -O2 `perl -e 'use Config; print $$Config{ccflags};'`" \
	./configure $(CONFIGURE_ARGS)
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) $(MAKEOPTS)
	touch build-stamp

clean: patch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install-stamp
	if [ -f Makefile ]; then $(MAKE) $(MAKEOPTS) distclean; fi
	dh_autoreconf_clean
	rm -f config.log config.status
	rm -f preinst-swig
	rm -f Source/Include/swigconfig.h Source/Include/stamp-h1
	rm -f `find -name Makefile.in|sed 's,\.in$$,,'`
	rm -Rf Source/.deps
	rm -Rf Lib/swigwarn.swg swig.spec
	dh_clean
	debian/rules unpatch

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) $(MAKEOPTS) DESTDIR=`pwd`/debian/swig2.0 install

	touch install-stamp

# Build architecture-independent files here.
# We don't need a dependency on build or install since these are the plain
# documentation files as included in the distribution.
binary-indep:	
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	cd debian/swig2.0-examples/usr/share/doc/swig2.0-examples && mv examples/* . && rmdir examples
	cp debian/swig2.0-examples.override debian/swig2.0-examples/usr/share/lintian/overrides/swig2.0-examples
	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
		`find debian/swig2.0-examples/usr/share/doc/swig2.0-examples -name Makefile`
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a $(NO_PACKAGES_ARGS) README
	dh_installexamples -a $(NO_PACKAGES_ARGS)
	dh_installmenu -a $(NO_PACKAGES_ARGS)
#	dh_installemacsen -a $(NO_PACKAGES_ARGS)
#	dh_installinit -a $(NO_PACKAGES_ARGS)
	dh_installcron -a $(NO_PACKAGES_ARGS)
	dh_installman -a debian/swig2.0.1
#	dh_undocumented
	dh_installchangelogs -a -Nswig2.0 $(NO_PACKAGES_ARGS) CHANGES
	dh_installchangelogs -pswig2.0 $(NO_PACKAGES_ARGS)
	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
	dh_link -a $(NO_PACKAGES_ARGS)
	dh_strip -a $(NO_PACKAGES_ARGS)
	dh_fixperms -a $(NO_PACKAGES_ARGS)
	dh_makeshlibs -a $(NO_PACKAGES_ARGS)
	dh_installdeb -a $(NO_PACKAGES_ARGS)
	dh_shlibdeps -a $(NO_PACKAGES_ARGS)
	dh_gencontrol -a $(NO_PACKAGES_ARGS)
	dh_md5sums -a $(NO_PACKAGES_ARGS)
	dh_builddeb -a $(NO_PACKAGES_ARGS)

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## swig2.0 2.0.1

=== debian/changelog ===
swig2.0 (2.0.1-2) unstable; urgency=low

  * debian/control: Fix build dependency on pcre3 which should be available on
    mips, mipsel and m68k as well.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 23 Dec 2010 00:06:42 +0100

swig2.0 (2.0.1-1) unstable; urgency=low

  * Merge new upstream release 2.0.1.
  * Remove dependency on quilt and usage in debian/rules, the new source
    format will take care of that.
  * Remove patch fix-cleaning.diff (applied upstream).
  * Remove patch keep_docs.diff (applied upstream).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Dec 2010 18:25:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
+Homepage: http://www.swig.org/
 Build-Depends: bison,
                debhelper (>= 7.0),
                dh-autoreconf,
@@ -11,11 +14,10 @@
                guile-1.8-dev,
                libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
-               libpcre3-dev [!m68k !mips !mipsel],
+               libpcre3-dev,
                php5-cgi,
                php5-dev,
                python-dev,
-               quilt (>= 0.40),
                ruby1.8,
                ruby1.8-dev,
                tcl8.4-dev,

## swig2.0 2.0.3

=== debian/changelog ===
swig2.0 (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Add debian/watch file for uscan (closes: #611879).
  * Provide /usr/bin/swig in swig2.0 (closes: #620954).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 10 Apr 2011 20:42:11 +0200

swig2.0 (2.0.2-1) unstable; urgency=low

  * New upstream release 2.0.2.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 26 Feb 2011 00:56:56 +0100

## swig2.0 2.0.4

=== debian/changelog ===
swig2.0 (2.0.4-5) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' (closes: #657091).
    Patch provided by Lior Kaplan.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 Jan 2012 18:58:13 +0100

swig2.0 (2.0.4-4) unstable; urgency=low

  * Acknowledge NMU, thanks again Luca (and Jonathan for the patch).
  * Merge revision 12814 from upstream (closes: #642202).
  * Merge revision 12780 from upstream (closes: #468414). 

 -- Torsten Landschoff <torsten@debian.org>  Tue, 20 Sep 2011 22:45:05 +0200

swig2.0 (2.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Jonathan Nieder ]
  * Put swig2.0(1) manpage in the swig2.0 package, instead of whatever
    architecture-dependent package happened to be processed first.
  * swig2.0 Breaks and Replaces swig (<< 2.0.4-3.1) (Closes: #639521).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:32:41 +0200

swig2.0 (2.0.4-3) unstable; urgency=low

  * Acknowledge changes by Luca Falavigna - thanks.
  * Applied the patch by Chris Butler to fix wrapper generation on i386 for
    perl compiled with -Duse64bitint (closes: #579450).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 19 Aug 2011 23:37:01 +0200

swig2.0 (2.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * debian/patches/python_map.patch:
    - Let std::map honour all four template arguments to fix FTBFS in
      related packages (Closes: #633736).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 17:27:18 +0200

swig2.0 (2.0.4-2) unstable; urgency=low

  * Take over swig, swig-doc and swig-examples binary packages from swig1.3.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Jun 2011 01:14:53 +0200

swig2.0 (2.0.4-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Replace obsolete gij/gcj build dependencies with gcj-jdk. Closes: #628377.

 -- Matthias Klose <doko@debian.org>  Tue, 31 May 2011 13:22:19 +0200

swig2.0 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * patches/upstream_r12653.diff: Removed (included upstream).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 May 2011 08:52:30 +0200

swig2.0 (2.0.3-2) unstable; urgency=low

  * Package a snapshot of the upcoming upstream release 2.0.4. This matches
    upstream revision r12653.
    + Fixes building of Python 3.2 bindings (closes: #622980).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 03 May 2011 22:34:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 Build-Depends: bison,
                debhelper (>= 7.0),
                dh-autoreconf,
-               gcj [!hppa !mips !mipsel !alpha !arm !hurd-i386],
-               gij [!hppa !mips !mipsel !alpha !arm !hurd-i386],
+               gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
                libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
@@ -23,10 +22,28 @@
                tcl8.4-dev,
                tk8.4-dev
 
+Package: swig
+Architecture: any
+Depends: swig2.0 (>= 2.0.0-1), ${misc:Depends}
+Suggests: swig-doc, swig-examples
+Conflicts: swig1.3
+Replaces: swig1.3
+Description: Generate scripting interfaces to C/C++ code
+ SWIG is a compiler that makes it easy to integrate C and C++ code
+ with other languages including Perl, PHP, Tcl, Ruby, Python, Java,
+ Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
+ .
+ Swig takes a set of ANSI C/C++ declarations and generates an
+ interface for them to your favorite scripting language.
+ .
+ This is a dependency package providing the stable version of SWIG.
+
 Package: swig2.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: swig2.0-examples, swig2.0-doc
+Breaks: swig (<< 2.0.4-3.1)
+Replaces: swig (<< 2.0.4-3.1)
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
  with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
@@ -35,6 +52,15 @@
  Swig takes a set of ANSI C/C++ declarations and generates an 
  interface for them to your favorite scripting language.
 
+Package: swig-examples
+Architecture: all
+Depends: swig2.0-examples (>= 2.0.0-1), ${misc:Depends}
+Conflicts: swig1.3-examples
+Replaces: swig1.3-examples
+Description: Examples for applications of SWIG
+ This is a dependency package providing the examples of the default
+ version of SWIG in Debian.
+
 Package: swig2.0-examples
 Architecture: all
 Depends: swig2.0, ${misc:Depends}
@@ -42,11 +68,20 @@
  Contains examples for applications of SWIG, a wrapper interface
  generator to integrate C code into scripting languages.
 
+Package: swig-doc
+Architecture: all
+Depends: swig2.0-doc (>= 2.0.0-1), ${misc:Depends}
+Section: doc
+Conflicts: swig1.3-doc
+Replaces: swig1.3-doc
+Description: HTML documentation for SWIG
+ This is a dependency package providing the documentation of the default
+ version of SWIG in Debian.
+
 Package: swig2.0-doc
 Architecture: all
 Section: doc
-Suggests: swig2.0
 Depends: ${misc:Depends}
 Description: HTML documentation for SWIG
- This is just a convenience package to make smooth upgrades possible.
- The real stuff is in the swig-doc package.
+ Contains the users' and developers' manuals for SWIG (Simplified 
+ Wrapper Interface Generator) 2.0 in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 # Support building from Subversion repository
 export DH_ALWAYS_EXCLUDE=.svn
-
-include /usr/share/quilt/quilt.make
 
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
@@ -78,7 +76,7 @@
 	$(MAKE) $(MAKEOPTS)
 	touch build-stamp
 
-clean: patch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f configure-stamp build-stamp install-stamp
@@ -89,9 +87,8 @@
 	rm -f Source/Include/swigconfig.h Source/Include/stamp-h1
 	rm -f `find -name Makefile.in|sed 's,\.in$$,,'`
 	rm -Rf Source/.deps
-	rm -Rf Lib/swigwarn.swg swig.spec
+	rm -Rf swig.spec
 	dh_clean
-	debian/rules unpatch
 
 install: install-stamp
 install-stamp: build-stamp
@@ -137,7 +134,7 @@
 #	dh_installemacsen -a $(NO_PACKAGES_ARGS)
 #	dh_installinit -a $(NO_PACKAGES_ARGS)
 	dh_installcron -a $(NO_PACKAGES_ARGS)
-	dh_installman -a debian/swig2.0.1
+	dh_installman -p swig2.0 debian/swig2.0.1
 #	dh_undocumented
 	dh_installchangelogs -a -Nswig2.0 $(NO_PACKAGES_ARGS) CHANGES
 	dh_installchangelogs -pswig2.0 $(NO_PACKAGES_ARGS)

## swig2.0 2.0.4+really2.0.4

=== debian/changelog ===
swig2.0 (2.0.4+really2.0.4-4ubuntu2) precise; urgency=low

  * Drop libchicken-dev from the build-depends (in universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Oct 2011 11:54:21 +0200

swig2.0 (2.0.4+really2.0.4-4ubuntu1) precise; urgency=low

  * Override the Ubuntu swig1.3 version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Oct 2011 15:05:23 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                dh-autoreconf,
                gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
-               libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
                libpcre3-dev,
                php5-cgi,

## swig2.0 2.0.7

=== debian/changelog ===
swig2.0 (2.0.7-3) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5 in debian/rules
    (closes: #675908).
  * Use default-jdk instead of gcj-jdk (closes: #675911). 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 11 Jun 2012 22:55:25 +0200

swig2.0 (2.0.7-2) unstable; urgency=high

  * Switch to out-of-source build. 
  * Applied patch by Klaus Kämpf (applied upstream) to fix seg fault when
    attempting to warn about an illegal destructor (closes: #675196).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 30 May 2012 22:20:51 +0200

swig2.0 (2.0.7-1) unstable; urgency=high

  * New upstream release 2.0.7 (closes: #674263).
  * Build-Depend on tcl-dev and tk-dev instead of tcl8.4-dev and tk8.4-dev
    (closes: #674540). 
  * debian/rules: Add binary-indep and binary-arch targets (lintian).
  * debian/control: Bump Standards-Version to 3.9.3 (no changes).
  * debian/patches/pyint_fromsize_t.diff: New patch to fix a regression of
    upstream r13106 when building for Python 3 (caught by FTBFS for hugin).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 28 May 2012 17:58:26 +0200

swig2.0 (2.0.6-1) unstable; urgency=low

  * Merge upstream changes for 2.0.6.
    + Includes patches to slicing bugs (closes: #673544).
  * debian/control: Narrow the dependency of swig on swig2.0 to require
    the newest version as suggested by Andreas Metzler.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 22 May 2012 00:23:15 +0200

swig2.0 (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5.
    + Removed patch python_map.patch (applied upstream).
    + Removed patch fix_overflow_errors_64bitint (fixed upstream).
    + Removed patches pulled from upstream.
    + Adds support for Lua 5.2 (closes: #670203).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Apr 2012 22:18:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
 Homepage: http://www.swig.org/
 Build-Depends: bison,
                debhelper (>= 7.0),
                dh-autoreconf,
-               gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
+               default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
+               libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
                libpcre3-dev,
                php5-cgi,
@@ -18,12 +19,12 @@
                python-dev,
                ruby1.8,
                ruby1.8-dev,
-               tcl8.4-dev,
-               tk8.4-dev
+               tcl-dev,
+               tk-dev
 
 Package: swig
 Architecture: any
-Depends: swig2.0 (>= 2.0.0-1), ${misc:Depends}
+Depends: swig2.0 (>= ${source:Version}), ${misc:Depends}
 Suggests: swig-doc, swig-examples
 Conflicts: swig1.3
 Replaces: swig1.3

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,8 @@
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-	--with-tclconfig=/usr/lib/tcl8.4		\
-	--with-tclincl=/usr/include/tcl8.4		\
-	--with-python=/usr/bin/python2.5		\
+	--with-tclconfig=/usr/lib			\
+	--with-python=/usr/bin/python			\
 	--with-ruby=/usr/bin/ruby1.8			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
@@ -65,29 +64,28 @@
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autoreconf ./autogen.sh
+	mkdir -p builddir
 	PHP4INC="`php-config --includes`" \
 	CFLAGS="-g -O2 `perl -e 'use Config; print $$Config{ccflags};'`" \
-	./configure $(CONFIGURE_ARGS)
+	cd builddir && ../configure $(CONFIGURE_ARGS)
 	touch configure-stamp
 
-build: build-stamp
+build: build-indep build-arch
+
+build-indep:	build-stamp
+build-arch:	build-stamp
+
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE) $(MAKEOPTS)
+	cd builddir && $(MAKE) $(MAKEOPTS)
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f configure-stamp build-stamp install-stamp
-	if [ -f Makefile ]; then $(MAKE) $(MAKEOPTS) distclean; fi
+	rm -rf builddir
 	dh_autoreconf_clean
-	rm -f config.log config.status
-	rm -f preinst-swig
-	rm -f Source/Include/swigconfig.h Source/Include/stamp-h1
-	rm -f `find -name Makefile.in|sed 's,\.in$$,,'`
-	rm -Rf Source/.deps
-	rm -Rf swig.spec
 	dh_clean
 
 install: install-stamp
@@ -97,7 +95,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) $(MAKEOPTS) DESTDIR=`pwd`/debian/swig2.0 install
+	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig2.0 install
 
 	touch install-stamp

## swig2.0 2.0.8

=== debian/changelog ===
swig2.0 (2.0.8-1ubuntu3) raring; urgency=low

  * Configure for the Tk 8.5 multiarch installation.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 10:37:53 +0200

swig2.0 (2.0.8-1ubuntu2) raring; urgency=low

  * Build using guile-2.0.
  * Configure --with-guileincl=/usr/include/guile/2.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 08:36:39 +0100

swig2.0 (2.0.8-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 07 Nov 2012 19:50:23 +0200

swig2.0 (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 31 Oct 2012 12:05:24 +0100

swig2.0 (2.0.7-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1019659). Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Jun 2012 22:49:48 +0200

swig2.0 (2.0.7-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006387). Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 01 Jun 2012 17:05:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swig2.0
 Section: interpreters
 Priority: optional
-Maintainer: Torsten Landschoff <torsten@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
@@ -10,8 +11,7 @@
                debhelper (>= 7.0),
                dh-autoreconf,
                default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
-               guile-1.8-dev,
-               libchicken-dev [!m68k !mips !mipsel],
+               guile-2.0-dev,
                libperl-dev,
                libpcre3-dev,
                php5-cgi,

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,20 @@
 # Support building from Subversion repository
 export DH_ALWAYS_EXCLUDE=.svn
 
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-	--with-tclconfig=/usr/lib			\
+	--with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)	\
 	--with-python=/usr/bin/python			\
 	--with-ruby=/usr/bin/ruby1.8			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
 	--with-swiglibdir=/usr/share/swig2.0		\
+	--with-guileincl=/usr/include/guile/2.0		\
 	--without-mzscheme				\
         --program-suffix=2.0

## swig2.0 2.0.10

=== debian/changelog ===
swig2.0 (2.0.10-0ubuntu2) saucy; urgency=low

  * Build-depend on python3-dev.
  * Drop build dependency on liboctave-dev, configure --without-octave.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2013 18:58:53 +0200

swig2.0 (2.0.10-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Build using ruby1.9.1.
  * Build-depend on liboctave-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2013 18:32:40 +0200

swig2.0 (2.0.9-1ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Configure for the Tk 8.5 multiarch installation.
    - Build using guile-2.0.
    - Configure --with-guileincl=/usr/include/guile/2.0.
    - Drop libchicken-dev from the build-depends (in universe).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 03 Jun 2013 10:03:01 +0100

swig2.0 (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags while building (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 28 Feb 2013 00:37:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 export DH_ALWAYS_EXCLUDE=.svn
 
 DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
@@ -18,8 +20,9 @@
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
 	--with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)	\
+	--without-octave				\
 	--with-python=/usr/bin/python			\
-	--with-ruby=/usr/bin/ruby1.8			\
+	--with-ruby=/usr/bin/ruby1.9.1			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
 	--with-swiglibdir=/usr/share/swig2.0		\
@@ -69,7 +72,6 @@
 	dh_autoreconf ./autogen.sh
 	mkdir -p builddir
 	PHP4INC="`php-config --includes`" \
-	CFLAGS="-g -O2 `perl -e 'use Config; print $$Config{ccflags};'`" \
 	cd builddir && ../configure $(CONFIGURE_ARGS)
 	touch configure-stamp

## swig2.0 2.0.11

=== debian/changelog ===
swig2.0 (2.0.11-1ubuntu2) trusty; urgency=medium

  * Apply patch to support octave-3.8. Closes: #736392.

 -- Matthias Klose <doko@foobar>  Tue, 25 Feb 2014 01:59:29 +0100

swig2.0 (2.0.11-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Configure for the Tk 8.5 multiarch installation.
    - Build using guile-2.0.
    - Configure --with-guileincl=/usr/include/guile/2.0.
    - Drop libchicken-dev from the build-depends (in universe).
    - Build-depend on python3-dev.
    - Drop build dependency on liboctave-dev, configure --without-octave.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 14:45:50 +0100

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).
  * Use Ruby 1.9.1 instead of 1.8 which is about to be removed from sid.
    Thanks to Cédric Boutillier for the patch (closes: #722282).
  * Install swigp4.ml manually as the upstream Makefile fails to do so
    when using a separate build directory (closes: #725945).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 25 Oct 2013 23:36:37 +0200

swig2.0 (2.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 09 Sep 2013 22:06:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig2.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig2.0
 Homepage: http://www.swig.org/
-Build-Depends: bison,
+Build-Depends: dpkg-dev (>= 1.16.1~),
+               bison,
                debhelper (>= 7.0),
                dh-autoreconf,
                default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
@@ -17,8 +18,9 @@
                php5-cgi,
                php5-dev,
                python-dev,
-               ruby1.8,
-               ruby1.8-dev,
+               python3-dev,
+               ruby1.9.1,
+               ruby1.9.1-dev,
                tcl-dev,
                tk-dev

=== debian/rules ===
--- 
+++ 
@@ -138,6 +138,7 @@
 #	dh_installinit -a $(NO_PACKAGES_ARGS)
 	dh_installcron -a $(NO_PACKAGES_ARGS)
 	dh_installman -p swig2.0 debian/swig2.0.1
+	dh_install -a --sourcedir=$(CURDIR)
 #	dh_undocumented
 	dh_installchangelogs -a -Nswig2.0 $(NO_PACKAGES_ARGS) CHANGES
 	dh_installchangelogs -pswig2.0 $(NO_PACKAGES_ARGS)
